List annotations
curl --request GET \
--url https://api.avidoai.com/v0/annotations \
--header 'x-api-key: <api-key>' \
--header 'x-application-id: <api-key>'import requests
url = "https://api.avidoai.com/v0/annotations"
headers = {
"x-api-key": "<api-key>",
"x-application-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-api-key': '<api-key>', 'x-application-id': '<api-key>'}
};
fetch('https://api.avidoai.com/v0/annotations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "789e4567-e89b-12d3-a456-426614174000",
"orgId": "org_123456",
"title": "New system prompt",
"description": "The system prompt was updated to include more examples",
"createdAt": "2024-01-05T12:34:56.789Z",
"modifiedAt": "2024-01-05T12:34:56.789Z"
}
],
"pagination": {
"skip": 0,
"limit": 25,
"total": 1,
"totalPages": 1
}
}Annotations
List annotations
Retrieves a paginated list of annotations with optional filtering.
GET
/
v0
/
annotations
List annotations
Authorizations
Your unique Avido API key
Your unique Avido Application ID
Query Parameters
Number of items to skip before starting to collect the result set.
Required range:
0 <= x <= 9007199254740991Example:
0
Number of items to include in the result set.
Required range:
1 <= x <= 100Example:
25
Field to order the result set by.
Available options:
createdAt, modifiedAt, title, id Example:
"createdAt"
Order direction.
Available options:
asc, desc Example:
"desc"
Filter documents created after this date (inclusive).
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Example:
"2024-01-01T00:00:00.000Z"
Filter documents created before this date (inclusive).
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Example:
"2024-12-31T23:59:59.999Z"
Filter annotations by trace step ID.
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Example:
"456e7890-e89b-12d3-a456-426614174000"